using System;
using System.Linq;
using System.Collections.Generic;
namespace ConsoleApp1
{
    internal class Program
    {
        static void Main(string[] args)
        {
            uint n;
            n = uint.Parse(Console.ReadLine());
            List<uint> A = new List<uint>((int)n);
            List<uint> B = new List<uint>((int)n);
            string[] pr = Console.ReadLine().Split(" ");
            string[] dr = Console.ReadLine().Split(" ");
            for (int i = 0; i < n; i++)
            {
                A.Add(uint.Parse(pr[i]));
            }
            for (int i = 0; i < n; i++)
            {
                B.Add(uint.Parse(dr[i]));
            }
            int najveci = int.MinValue;

            for (uint x = 0; x < n; ++x)
            {
                int bitA = 0;
                int bitB = -1;
                for (uint i = x; i < n; ++i)
                {
                    bitA ^= (int)A[(int)i];
                    bitB &= (int)B[(int)i];
                    int proizvod = bitB * bitA;
                    najveci = Math.Max(najveci, proizvod);
                }
            }

            Console.WriteLine(najveci);
        }
    }
}